For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • POSTCreate a snapshot
      • GETList snapshots
      • GETGet a snapshot
      • DELDelete a snapshot
      • POSTRestore a snapshot
      • GETGet records from a snapshot
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceSnapshots

Delete a snapshot

DELETE
https://api.x.flatfile.com/v1/snapshots/:snapshotId
DELETE
/v1/snapshots/:snapshotId
$curl -X DELETE https://api.x.flatfile.com/v1/snapshots/us_ss_YOUR_ID \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "success": true
4 }
5}
Deletes a snapshot of a sheet
Was this page helpful?
Previous

Restore a snapshot

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

snapshotIdstringRequired
ID of snapshot

Headers

X-Disable-Hooks"true"Required

Response

This endpoint returns an object.
dataobject

Errors

400
Bad Request Error
404
Not Found Error